Draft Cercle

From FreeCAD Documentation
Revision as of 20:54, 9 January 2024 by David69 (talk | contribs)

Draft Cercle

Emplacement du menu
Draft → Cercle
Ateliers
Draft, Arch
Raccourci par défaut
C I
Introduit dans la version
0.7
Voir aussi
Draft Arc, Draft Arc par 3 points

Description

La commande Draft Cercle crée un cercle dans le Draft Plan de travail en cours à partir d'un centre et d'un rayon. Le rayon peut être défini en choisissant un point.

Un Draft Cercle peut être transformé en arc de cercle en donnant à DonnéesFirst Angle et DonnéesLast Angle des valeurs différentes.

Cercle défini par deux points, le centre et le rayon

Utilisation

Voir aussi : Draft La barre, Draft Aimantation et Draft Contrainte.

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyer sur le Cercle.
    • Sélectionner l'option Draft → Cercle du menu.
    • Utiliser le raccourci clavier : C puis I.
  2. Le panneau de tâches Cercle s'ouvre. Voir Options pour plus d'informations.
  3. Choisir le premier point, le centre du cercle dans la vue 3D ou rentrer des coordonnées et appuyer sur le bouton Entrez le point.
  4. Choisir le deuxième point dans la vue 3D ou entrer un Rayon.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut. (pour la version 0.22).

  • Pour saisir manuellement les coordonnées du centre, entrez les valeurs de X, Y et Z et appuyez sur Entrée après chacune, ou vous pouvez appuyer sur le bouton Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la vue 3D avant de saisir les coordonnées.
  • Appuyez sur G ou cliquez sur la case Global pour basculer en mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. introduit dans la version 0.20
  • Appuyez sur F ou cliquez sur la case à cocher Rempli pour basculer en mode rempli. Si le mode rempli est activé, le cercle créé aura DonnéesMake Face défini sur true et aura une face remplie.
  • Appuyez sur N ou cliquez sur la case Continuer pour activer le mode continu. Si le mode continu est activé, la commande redémarre après avoir terminé, ce qui vous permet de continuer à créer des cercles.
  • Appuyez sur S pour activer ou désactiver Draft Aimantation.
  • Appuyez sur Échap ou sur le bouton Fermer pour interrompre la commande.

Remarques

  • Un Draft Cercle peut être édité avec la commande Draft Editer.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Si l'option Édition → Préférences... → Draft → Général → Créer des primitives Part si possible est cochée, la commande créera un Part Cercle au lieu d'un Draft Cercle.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Draft Cercle est dérivé d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesArea (Area) : (en lecture seule) spécifie la surface de la face du cercle. La valeur sera 0.0 si DonnéesMake Face est false ou si la face ne peut être créée.
  • DonnéesFirst Angle (Angle) : spécifie l'angle de départ du cercle, normalement .
  • DonnéesLast Angle (Angle) : spécifie l'angle final du cercle, normalement .
  • DonnéesMake Face (Bool) : spécifie si le cercle forme une face ou non. Si c'est true, une face est créée, sinon seul le périmètre est considéré comme faisant partie de l'objet. Cette propriété ne fonctionne que si les DonnéesFirst Angle et DonnéesLast Angle ont la même valeur. Notez que et 360° ne sont pas considérés comme identiques.
  • DonnéesRadius (Length) : spécifie le rayon du cercle.

Vue

Draft

  • VuePattern (Enumeration) : spécifie un Draft Motif. avec lequel remplir la face du cercle. Cette propriété ne fonctionne que si DonnéesMake Face est true et si VueDisplay Mode est Flat Lines.
  • VuePattern Size (Float): spécifie la taille du Draft Motif.

Script

Voir aussi : Autogenerated API documentation et FreeCAD Débuter avec les scripts.

Pour créer un Draft Cercle, utilisez la méthode make_circle (introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeCircle.

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Crée un objet circle avec un radius donné en millimètres.
    • radius peut aussi être un Part.Edge, dont l'attribut Curve doit être un Part.Circle.
  • Si un placement est None, le cercle est créé à l'origine.
  • Si face a la valeur True, le cercle fera une face, c'est-à-dire qu'il apparaîtra rempli.
  • Si startangle et endangle sont donnés en degrés et ont des valeurs différentes, ils sont utilisés et l'objet apparaît comme une Draft Arc.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()